Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.optimize
Class GradientAscent

    java.lang.Object
      cc.mallet.optimize.GradientAscent

All Implemented Interfaces:
  Optimizer

    public class GradientAscent

extends java.lang.Object
implements Optimizer

Nested Class Summary

Nested classes/interfaces inherited from interface cc.mallet.optimize.Optimizer
`Optimizer.ByBatches`

Constructor Summary
`GradientAscent(Optimizable.ByGradientValue function)`

Method Summary
`double` | `getInitialStepSize()`
`LineOptimizer.ByGradient` | `getLineMaximizer()`
`Optimizable` | `getOptimizable()`
`double` | `getStpmax()`
`boolean` | `isConverged()`
`boolean` | `optimize()`
`boolean` | `optimize(int numIterations)`
`void` | `setEvaluator(OptimizerEvaluator.ByGradient eval)`
`void` | `setInitialStepSize(double initialStepSize)`
`void` | `setMaxStepSize(double v)`
`void` | `setStpmax(double stpmax)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GradientAscent

    public GradientAscent(Optimizable.ByGradientValue function)

Method Detail

### getOptimizable

    public Optimizable getOptimizable()

  Specified by:
    `getOptimizable` in interface `Optimizer`

### isConverged

    public boolean isConverged()

  Specified by:
    `isConverged` in interface `Optimizer`

### getLineMaximizer

    public LineOptimizer.ByGradient getLineMaximizer()

### getInitialStepSize

    public double getInitialStepSize()

### setInitialStepSize

    public void setInitialStepSize(double initialStepSize)

### getStpmax

    public double getStpmax()

### setStpmax

    public void setStpmax(double stpmax)

### optimize

    public boolean optimize()

  Specified by:
    `optimize` in interface `Optimizer`

### optimize

    public boolean optimize(int numIterations)

  Specified by:
    `optimize` in interface `Optimizer`

### setMaxStepSize

    public void setMaxStepSize(double v)

### setEvaluator

    public void setEvaluator(OptimizerEvaluator.ByGradient eval)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD